pat_vert_comb:
	.word pat_info_notrans
	.word null_proc
	.word @draw

@draw:
	lda anim_count
	bne :+
	rts
:
	jsr comb_morph
	jsr comb_beat
	rts

comb_morph:
	; commented out wrapping since we always
	; fill vacated lights

	ldx #(cols - 2) * pitch
@col:
	; Even columns move up
;       lda lw_colors,x
;       tay
    .repeat rows - 1,i
	lda lw_colors + i + 1,x
	sta lw_colors + i + 0,x
    .endrepeat
;       tya
;       sta lw_colors + rows - 1,x
	
	; Odd columns move down
;       lda lw_colors + pitch + rows - 1,x
;       tay
    .repeat rows - 1,i
	lda lw_colors + pitch + rows - i - 2,x
	sta lw_colors + pitch + rows - i - 1,x
    .endrepeat
;       tya
;       sta lw_colors + pitch,x
    
	txa
	sec
	sbc #pitch * 2
	tax
	bpl @col
	
	rts

comb_beat:
	; Even columns
	lda #0
	jsr calc_anim_brt
	clc
	adc anim_hue
	sec
	sbc #$08 * 2
    .repeat cols / 2,i
	sta lw_colors + i * 2 * pitch + (rows - 1)
	clc
	adc #$08
    .endrepeat
	
	; Odd columns
	lda #$08
	jsr calc_anim_brt
	clc
	adc anim_hue
	clc
	adc #$08 * 2
    .repeat cols / 2,i
	sta lw_colors + (i * 2 + 1) * pitch
	sec
	sbc #$08
    .endrepeat
	
	rts
