; Disable 65816 and define these so that code can
; switch back to 6502 mode and still have these
.p02
.define blt bcc
.define bge bcs
.p816

; Makes A 16 bits
.macro a16
	.a16
	rep #$20
.endmacro

; Makes A 8 bits
.macro a8
	.a8
	sep #$20
.endmacro

; Makes X and Y 16 bits
.macro i16
	.i16
	rep #$10
.endmacro

; Makes X and Y 8 bits
.macro i8
	.i8
	sep #$10
.endmacro

; Makes A, X, and Y 16 bits
.macro ai16
	.a16
	.i16
	rep #$30
.endmacro

; Makes A, X, and Y 8 bits
.macro ai8
	.a8
	.i8
	sep #$30
.endmacro
