pat_horiz_comb:
	.word pat_info_notrans
	.word null_proc
	.word @draw

@draw:
	lda anim_count
	bne :+
	rts
:
	jsr horiz_comb_morph
	jsr horiz_comb_beat
	rts

horiz_comb_morph:
	; commented out wrapping since we always
	; fill vacated lights

	ldx #rows - 2
@col:
	; Even rows move right
;       lda lw_colors + (cols - 1) * pitch,x
;       tay
    .repeat cols - 1,i
	lda lw_colors + (cols - i - 2) * pitch,x
	sta lw_colors + (cols - i - 1) * pitch,x
    .endrepeat
;       tya
;       sta lw_colors + 1,x
    
	; Odd rows move left
;       lda lw_colors,x
;       tay
    .repeat cols - 1,i
	lda lw_colors + 1 + (i + 1) * pitch,x
	sta lw_colors + 1 + (i + 0) * pitch,x
    .endrepeat
;       tya
;       sta lw_colors + 1 + (cols - 1) * pitch,x
	
	dex
	dex
	bpl @col
	
	rts

horiz_comb_beat:
	; Even rows
	lda #0
	jsr calc_anim_brt
	clc
	adc anim_hue
	sec
	sbc #$08 * 2
    .repeat rows / 2,i
	sta lw_colors + i * 2
	clc
	adc #$08
    .endrepeat
	
	; Odd rows
	lda #$08
	jsr calc_anim_brt
	clc
	adc anim_hue
	clc
	adc #$08 * 1
    .repeat rows / 2,i
	sta lw_colors + 1 + (cols - 1) * pitch + i * 2
	sec
	sbc #$08
    .endrepeat

	rts
