.macro morph_spiral_darken Idx
	lda lw_colors + Idx
	and #$07
	beq :+
	lda lw_colors + Idx
	sec
	sbc #1
:       sta lw_colors + Idx
.endmacro

pat_contracting_spiral:
	.word pat_info_notrans
	.word null_proc
	.word @draw

@draw:
	lda anim_count
	bne :+
	rts
:
	ldy #cols * pitch - 2
:       ldx spiral,y
	lda lw_colors,x
	ldx spiral + 1,y
	sta lw_colors,x
	dey
	bpl :-
	
	mov lw_colors+$07,#0
	
	morph_spiral_darken $47
	;morph_spiral_darken $0E
	;morph_spiral_darken $45
	morph_spiral_darken $35
	
	mov lw_colors+$07,anim_color

	rts

pat_expanding_spiral:
	.word pat_info_notrans
	.word null_proc
	.word @draw

; 80 elements
; contracting: 78 to 0
; expanding: 0 to 78
@draw:
	lda anim_count
	bne :+
	rts
:
	@offset = 128 - (cols * pitch - 1)
	ldy #@offset
:       ldx spiral - @offset + 1,y
	lda lw_colors,x
	ldx spiral - @offset,y
	sta lw_colors,x
	iny
	bpl :-
	
	mov lw_colors+$24,#0
	
	morph_spiral_darken $48
	morph_spiral_darken $3A
	
	mov lw_colors+$24,anim_color

	rts
