; Fast table-based 24-bit LFSR RNG

zp_res random_bits,3
zp_res random_temp

; Generates random 8-bit value in A
; Preserved: X, Y
; Time: 51 cycles max
random:
	stx random_temp
	ldx random_bits
	lda random_bits+1
	eor @tables+256*0,x
	sta random_bits
	lda random_bits+2
	eor @tables+256*1,x
	sta random_bits+1
	lda @tables+256*2,x
	sta random_bits+2
	ldx random_temp
	rts

@tables:
	.incbin "lfsr24.bin"
